package jcop.compiler;

public class CompilerMessageStream {
	private boolean verbose;
	public String msg = "";
	
	public CompilerMessageStream(boolean verbose) {
		this.verbose = verbose;		
	}	

	public void println(Object s) {
		print(s + "\n");
	}

	public  void print(Object s, boolean priority) {		
		if(verbose || priority) {		
			System.out.println(s);			
			msg += s.toString();
		}
	}
	
	public void print(Object s) {
		print(s, false);
	}
}
